Added a TODO and commented+untested code for download error handling.

git-svn-id: file:///srv/svn/repos/haiku/haiku/trunk@37627 a95241bf-73f2-0310-859d-f6bbb57e9c96
This commit is contained in:
Matt Madia
2010-07-20 17:22:02 +00:00
parent 8794d8c48f
commit ce873ef04f
+11
View File
@@ -145,6 +145,17 @@ function InstallOptionalHaikuImagePackage()
archiveFile=\`echo \$3 | sed -s "s/http.*\///"\`
if ! [ -f \$archiveFile ] ; then
echo "Downloading \$3 ..."
# TODO : add some error handling for downloads
# local attempt=1
# while [ `wget -nv \$3 2>&1 > /dev/null ; echo \$?` -ne 0 -a $attempt -lt 5 ]; do
# echo "Download attempt #\$attempt failed. Retrying ..."
# rm \$archiveFile
# (( attempt++ ))
# done
# if [ $attempt -ge 5 ]; then
# echo "Max download retries exceeded. Halting installation."
# exit 1
# fi
wget -nv \$3
fi